<?php

// We need to print the scripts for the functionality to work.
function builder_child_city_church_sermon_print_scripts() {
	$base_url = ITFileUtility::get_url_from_file( dirname( __FILE__ ) );
	
	wp_enqueue_script( 'colorbox', "$base_url/js/jquery.colorbox-min.js", array( 'jquery' ) );
	wp_enqueue_script( 'colorbox_reference', "$base_url/js/colorbox-reference.js", array( 'colorbox' ) );
}

// We also need to registure and print the styles for colorbox.
function builder_child_city_church_sermon_print_styles() {
	$base_url = ITFileUtility::get_url_from_file( dirname( __FILE__ ) );
	
	wp_enqueue_style( 'colorbox-1', "$base_url/css/colorbox.min.css" );
}

if ( is_post_type_archive( 'sermon' ) ) {
	add_action( 'wp_print_scripts', 'builder_child_city_church_sermon_print_scripts' );
	add_action('wp_print_styles', 'builder_child_city_church_sermon_print_styles');
}

function render_content() {
	global $post;
	
	add_filter('wp_trim_excerpt', 'builder_child_excerpt_more');
	add_filter('excerpt_length', 'builder_child_excerpt_length');
/*	
	$args = array(
		'ignore_sticky_posts' => true,
		'post_type' => 'sermon',
		'posts_per_page' => 5,
		'paged' =>  get_query_var( 'paged' ),
	);
	
	query_posts( $args );
*/
?>
	<?php if ( have_posts() ) : ?>
		<div class="loop sermon-archive">
			<div class="loop-header">
				<?php if ( builder_get_theme_setting('podcast_link') != '' ) : ?>
					<a href="<?php echo builder_get_theme_setting('podcast_link'); ?>" class="podcast_link right"> Subscribe to the Podcast</a>
				<?php endif; ?>
				<h4 class="loop-title">
					<?php if ( builder_get_theme_setting('sermon_archive_title') != '' ) : ?>
						<?php echo builder_get_theme_setting('sermon_archive_title'); ?> 
					<?php else : ?>
						<?php echo 'Sermons'; ?>
					<?php endif; ?>
				</h4>
				<?php if ( get_query_var( 'paged' ) <= 1 ): ?>
					<?php if ( builder_get_theme_setting('sermon_text') != '' ) : ?>
						<?php echo builder_get_theme_setting('sermon_text'); ?> 
					<?php endif; ?>
				<?php endif; ?>
			</div>
			
			<div class="loop-content">
				<?php while ( have_posts() ) : // The Loop ?>
					<?php the_post(); ?>
				
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="sermon-block-wrapper image left">
							<?php if ( has_post_thumbnail() ) : ?>
								<?php the_post_thumbnail( 'sermon-archive' ); ?>
							<?php else : ?>
								<?php edit_post_link( '<img src="' . get_bloginfo('stylesheet_directory') . '/images/staff-profile-default.jpg" />', '<div class="entry-image left">', '</div>' ); ?>
							<?php endif; ?>
						</div>
						<div class="sermon-block-wrapper title-excerpt left">
							<!-- title, meta, and date info -->
							<div class="entry-header">
								<h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
							</div>
						
							<!-- post content -->
							<div class="entry-content">
								<?php the_excerpt(); ?>
							</div>						
						</div>
						<div class="sermon-block-wrapper date-tags left">		
							<!-- post meta - date-->
							<div class="entry-meta date">
								<span class="month"><?php the_time( 'm' ); ?>/</span>
								<span class="day"><?php the_time( 'j' ); ?>/</span>
								<span class="year"><?php the_time( 'y' ); ?></span>
							</div>
										
							<!-- post meta - sermon tags -->
							<div class="entry-meta sermon-tags">
								<?php echo get_the_term_list( $post->ID, 'sermon_tag', '', '', '' ); ?>
							</div>
						</div>
						
						<?php $audio = get_children( array('post_parent' => $post->ID, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'audio' ) ); ?>
						<?php if ( empty($audio) ) : ?>
							<?php edit_post_link( __( 'Edit Sermon', 'it-l10n-BuilderChild-City-Church' ) ); ?>
						<?php else : ?>
							<div class="sermon-block-wrapper sermon_mp3 left">
								<h3>Listen</h3>
								<!-- post meta - sermon mp3 link -->
								<div class="entry-meta sermon-mp3-link">
								<?php foreach ( $audio as $attachment_id => $attachment ) : ?>
									<a href="<?php echo wp_get_attachment_url( $attachment_id, 'full' ); ?>" title="<?php echo wp_get_attachment_link( $attachment_id, '' , false, false, ' '); ?>" rel="audio-file">MP3</a>
								<?php endforeach; ?>
								</div>
							</div>
						<?php endif; ?>

					</div>
					<!-- end .post -->
					
					<?php comments_template(); // include comments template ?>
				<?php endwhile; // end of one post ?>
			</div>
			
			<div class="loop-footer">
				<!-- Previous/Next page navigation -->
				<div class="loop-utility clearfix">
					<div class="alignleft"><?php previous_posts_link( __( '&laquo; Previous Sermon', 'it-l10n-BuilderChild-City-Church' ) ); ?></div>
					<div class="alignright"><?php next_posts_link( __( 'Next Sermon &raquo;', 'it-l10n-BuilderChild-City-Church' ) ); ?></div>
				</div>
			</div>
		</div>
	<?php else : // do not delete ?>
		<?php do_action( 'builder_template_show_not_found' ); ?>
	<?php endif; // do not delete ?>
<?php
	
	remove_filter('wp_trim_excerpt', 'builder_child_excerpt_more');
	remove_filter('excerpt_length', 'builder_child_excerpt_length');
	
}

function builder_child_excerpt_length($length) {
	return 40;
}

function builder_child_excerpt_more($excerpt) {
	return str_replace('[...]', '...', $excerpt);
}

add_action( 'builder_layout_engine_render_content', 'render_content' );

do_action( 'builder_layout_engine_render', basename( __FILE__ ) );
