<?php
/**
 *	Builder Child City Church Functions
 *
 *	@package 		Builder
 *	@subpackage		BuilderChild-City-Church
*/

// add lib folder files
require_once('lib/default-image-sizes.php'); // Adds custom image sizes

// Add Builder 3.0 Support
add_theme_support( 'builder-3.0' );

// Enable Builder's Responsive feature
add_theme_support( 'builder-responsive' );

// Enable Builder's Full Width Modules feature
add_theme_support( 'builder-full-width-modules' );


/**
 *	Builder Child City Church Settings
 *
 *	@since 1.0.0
*/
if ( ! function_exists( 'builder_child_settings' ) ) {
	function builder_child_settings( $form ) {
	?>
			<p>Welcome to the Builder Child Theme - <strong>City Church</strong>, a theme designed for churches, religious groups and the like.</p>
			<?php if ( function_exists( 'it_builder_block_church_init' ) ) : ?>
			<p>In addition to the child theme, there is the Builder Block - Church plugin which gives you the ability to add sermons and staff. Below are some additional settings from the Block for this Child Theme.</p>
				<hr>
				<h4><?php _e( 'Sermon Page Extras' ); ?></h4>
				<p><?php _e( 'Here you can add extra text or a podcast link to the Sermons Archive Page. If you do not want any extra text or podcast link to appear, simple leave these areas blank.' ); ?></p>
				<p><?php _e( 'You can also change the default title from "<strong>Sermons</strong>" to whatever you like.' ); ?></p>
				<p><?php _e( '<strong>Sermon Archive Title</strong>' ); ?></p>
				<div><?php $form->add_text_box( 'sermon_archive_title', array( 'class' => 'widefat', 'style' => 'width: 450px;' ) ); ?></div>
				<p><?php _e( '<strong>Podcast Link</strong> (full iTunes url, including <code>http://</code>)' ); ?></p>
				<div><?php $form->add_text_box( 'podcast_link', array( 'class' => 'widefat', 'style' => 'width: 450px;' ) ); ?></div>
				<p><?php _e( '<strong>Extra Text</strong> (<code>html</code> allowed)' ); ?></p>
				<div><?php $form->add_text_area( 'sermon_text', array( 'style' => 'width: 98%;max-width: 500px;min-height: 400px;' ) ); ?></div>
			<?php else : ?>
				<hr>
				<strong><p style="background: #DEFFE3;padding: 10px;border:2px solid #91CD86;color: #53764D;">You are seeing this message because you have not activated the Builder Block - Church plugin. In order to get the full use of this child theme, you must first upload and activate the Builder Block - Church plugin. You can find it in your iThemes <a href="ithemes.com/member/member.php">member</a> area.</p></strong>
			<?php endif ?>
	<?php 
	}
}
if ( !function_exists( 'builder_child_libraries_loaded' ) ) {
	function builder_child_libraries_loaded() {
		if ( function_exists( 'builder_add_settings_editor_box' ) ) {
			builder_add_settings_editor_box( __( 'Child Theme Settings', 'it-l10n-BuilderChild-City-Church' ), 'builder_child_settings' );
		}
	}
	add_action( 'it_libraries_loaded', 'builder_child_libraries_loaded' );
}

// =========================================
// = Builder Child Alternate Module Styles =
// =========================================
if ( ! function_exists( 'it_builder_loaded' ) ) { 
	function it_builder_loaded() {

	builder_register_module_style( 'html', 'Html Blank', 'html-alternate' );

	}   
	add_action( 'it_libraries_loaded', 'it_builder_loaded' );
}
