<?php

function render_content() {
	global $post;
?>
	<?php if ( have_posts() ) : ?> 
		<div class="loop">
			<div class="loop-content">
				<?php while ( have_posts() ) : // The Loop ?>
					<?php the_post(); ?>
					
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<!-- title, meta, and date info -->
						<div class="entry-header clearfix">
							<h3 class="entry-title"><?php the_title(); ?></h3>
							
							<?php edit_post_link( __( 'Edit', 'it-l10n-BuilderChild-City-Church' ) ); ?>
							
							<div class="entry-meta">
								<?php printf( __( 'Posted by %s', 'it-l10n-BuilderChild-City-Church' ), '<span class="author">' . builder_get_author_link() . '</span>' ); ?>
								<span class="weekday"> on <?php the_time( 'l' ); ?><span class="weekday-comma">,</span></span>
								<span class="month"><?php the_time( 'F' ); ?></span>
								<span class="day"><?php the_time( 'j' ); ?><span class="day-suffix"><?php the_time( 'S' ); ?></span><span class="day-comma">,</span></span>
								<span class="year"><?php the_time( 'Y' ); ?></span>
								<?php printf( __( ' in %s', 'it-l10n-BuilderChild-City-Church' ), get_the_term_list( $post->ID, 'sermon_category','<span class="categories sermon">', ', ', '</span>' ) ); ?>
								<?php do_action( 'builder_comments_popup_link', '<span class="comments"> | ', '</span>', __( 'Comments %s', 'it-l10n-BuilderChild-City-Church' ), __( '(0)', 'it-l10n-BuilderChild-City-Church' ), __( '(1)', 'it-l10n-BuilderChild-City-Church' ), __( '(%)', 'it-l10n-BuilderChild-City-Church' ) ); ?>
							</div>
							
						</div>
						
						<!-- post content -->
						<div class="entry-content clearfix">
							<?php the_content( __( 'Read More&rarr;', 'it-l10n-BuilderChild-City-Church' ) ); ?>
						</div>
						
						<!-- categories, tags and comments -->
						<div class="entry-footer clearfix">
							<?php printf( __( 'Tags : %s', 'it-l10n-BuilderChild-City-Church' ), get_the_term_list( $post->ID, 'sermon_tag','<span class="tags sermon">', ', ', '</span>' ) ); ?>
							<div class="alignright">
								<?php previous_post_link( '%link', '&larr; Previous Sermon'); ?>
								<?php next_post_link( '%link', 'Next Sermon &rarr;'); ?>
							</div>
						</div>
					</div>
					<!-- end .post -->
					
					<?php comments_template(); // include comments template ?>
				<?php endwhile; // end of one post ?>
			</div>

		</div>
	<?php else : // do not delete ?>
		<?php do_action( 'builder_template_show_not_found' ); ?>
	<?php endif; // do not delete ?>
<?php
	
}

add_action( 'builder_layout_engine_render_content', 'render_content' );

do_action( 'builder_layout_engine_render', basename( __FILE__ ) );