<?php

// 
function builder_child_staff_scripts() {
	it_classes_load( 'it-file-utility.php' );
   	wp_enqueue_script( 'builder-child-staff-script', ITFileUtility::get_url_from_file( dirname( __FILE__ ) . '/js/staff-singular.js' ), array( 'jquery' ) );	
}
if ( is_singular('staff') ) {
	add_action( 'builder_add_scripts', 'builder_child_staff_scripts' );
}

function render_content() {
	global $post;

	$staff_positions = get_the_term_list( $post->ID, 'staff_positions' );

?>
	<?php if ( have_posts() ) : ?> 
		<div class="loop">
			<div class="loop-content">
				<?php while ( have_posts() ) : // The Loop ?>
					<?php the_post(); ?>
					<?php
						$post_options = get_post_meta( $post->ID, '_it_options', true );
						$staff_email_address = $post_options['staff_email_address'];
						$staff_twitter_username = $post_options['staff_twitter_username'];
						$staff_facebook_url = $post_options['staff_facebook_url'];
					?>
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<?php if ( has_post_thumbnail() ) : ?>
							<div class="entry-image left">
								<?php the_post_thumbnail( 'staff-single' ); ?>
							</div>
						<?php else : ?>
							<?php edit_post_link( '<img src="' . get_bloginfo('stylesheet_directory') . '/images/staff-profile-default.jpg" />', '<div class="entry-image left">', '</div>' ); ?>
						<?php endif; ?>
					
						<!-- title, meta, and date info -->
						<div class="entry-header right">
							<h3 class="entry-title"><?php the_title(); ?></h3>
						
							<?php edit_post_link( __( 'Edit', 'it-l10n-BuilderChild-City-Church' ) ); ?>
							
							<?php if ( $staff_positions != '' ) : ?>
						
								<div class="entry-meta">
									<?php echo get_the_term_list( $post->ID, 'staff_positions', 'Position: ', ' ', '' ); ?>
								</div>
							<?php endif; ?>
							
							<?php if ( $staff_email_address != '' | $staff_twitter_username !='' | $staff_facebook_url != '' ) : ?>
								<div class="entry-meta staff-info">
									<ul>
										<?php if ( $staff_email_address != '' ) : ?>
											<li class="email"><a href="mailto:<?php echo $staff_email_address; ?>">Email</a></li>
										<?php endif; ?>
										<?php if ( $staff_twitter_username !='' ) : ?>
											<li class="twitter"><a href="http://twitter.com/<?php echo $staff_twitter_username; ?>">Twitter</a></li>
										<?php endif; ?>
										<?php if ( $staff_facebook_url != '' ) : ?>
											<li class="facebook"><a href="<?php echo $staff_facebook_url; ?>">Facebook</a></li>
										<?php endif; ?>
									</ul>
								</div>
							<?php endif; ?>
							
							<div class="entry-meta excerpt">
								<h4>Short Bio</h4>
								<?php the_excerpt(); ?>
							</div>		
						</div>
						<!-- categories, tags and comments -->
						<div class="entry-footer">
							<div class="alignleft">
							<a class="more-bio">Click for Long Bio</a>
							</div>
							<div class="alignright">
								<?php previous_post_link( '%link', '&larr; Previous Staff Member'); ?>
								<?php next_post_link( '%link', 'Next Staff Member &rarr;'); ?>
							</div>
						</div>
						
						<!-- post content -->
						<div class="entry-content long-bio clearfix">
							<?php the_content( __( 'Read More&rarr;', 'it-l10n-BuilderChild-City-Church' ) ); ?>
						</div>
						
					</div>
					<!-- end .post -->
					
					<?php comments_template(); // include comments template ?>
				<?php endwhile; // end of one post ?>
			</div>

		</div>
	<?php else : // do not delete ?>
		<?php do_action( 'builder_template_show_not_found' ); ?>
	<?php endif; // do not delete ?>
<?php
	
}

add_action( 'builder_layout_engine_render_content', 'render_content' );

do_action( 'builder_layout_engine_render', basename( __FILE__ ) );